发送带支付验证的邮件
向监护人发送家长同意请求邮件,同时附上你的证明,表明已有成年人为其背后的购买完成了支付。 除 `paymentVerification` 为必填外,与 `/challenge/send-email` 完全相同。若没有需要证明的支付,请改用该接口。仅当你的组织启用了 Transactions 能力时才会读取该证明,否则将被忽略。
Authorization
api-key In: header
Header Parameters
Optional header for Account System Products to perform cross-product age gate checks. The value must be the product ID of the target product within the same organization. The target product must not itself be an Account System Product.
Request Body
application/json
Send email with payment verification request
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/challenge/send-email-with-payment-verification" \ -H "Content-Type: application/json" \ -d '{ "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802", "paymentVerification": { "provider": "xsolla", "invoiceId": "2110445753", "payerEmail": "parent@example.com", "instrument": "card", "funding": "credit" } }'{}{ "error": "NOT_FOUND", "errorMessage": "Challenge not found"}